%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-GSSAPI
Version:       0.28
Release:       2mamba
Summary:       GSSAPI - Perl extension providing access to the GSSAPIv2 library
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/A/AG/AGROLMS/GSSAPI-%{version}.tar.gz
License:       Artistic, GPL
Requires:      perl >= %perl_major_ver
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libe2fs-devel
BuildRequires: libkrb5-devel
BuildRequires: perl-devel >= %perl_major_ver
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This module gives access to the routines of the GSSAPI library, 
as described in rfc2743 and rfc2744 and implemented by the Kerberos-1.2 distribution from MIT.

Since 0.14 it also compiles and works with Heimdal. 
Lacks of Heimdal support are gss_release_oid(), gss_str_to_oid() and fail of some tests. 
Have a look at the tests in t/ directory too see what tests fail on Heimdal 
( the *.t tests are just skipping them at the moment)

The API presented by this module is a mildly object oriented reinterpretation of the C API, 
where opaque C structures are Perl objects, but the style of function call has been left mostly untouched. 
As a result, most routines modify one or more of the parameters passed to them, reflecting the C call-by-reference 
(or call-by-value-return) semantics.

All users of this module are therefore strongly advised to localize all usage of these routines to minimize pain 
if and when the API changes.

%prep

%setup -q -n GSSAPI-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.28-2mamba
- perl 5.16 mass rebuild

* Sat Jun 26 2010 Automatic Build System <autodist@mambasoft.it> 0.28-1mamba
- automatic update by autodist

* Fri May 07 2010 Automatic Build System <autodist@mambasoft.it> 0.27-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.26-2mamba
- automatic rebuild by autodist

* Wed Aug 20 2008 gil <puntogil@libero.it> 0.26-1mamba
- package created by autospec
